javax.batch.api

## Interface Decider

    public interface Decider

A Decider receives control as part of a decision element in a job. It is used to direct execution flow during job processing. It returns an exit status that updates the current job execution's exit status. This exit status value also directs the execution transition based on next, end, stop, fail child elements configured on the same decision element as the decider.

### Method Summary

Methods
`String` `decide(StepExecution[] executions)` The decide method sets a new exit status for a job.

### Method Detail

#### decide

    String decide(StepExecution[] executions)
                  throws Exception

The decide method sets a new exit status for a job. It receives an array of StepExecution objects as input. These StepExecution objects represent the execution element that transitions to this decider as follows:

- Step

  When the transition is from a step, the decide method receives the StepExecution corresponding to the step as input.

- Split

  When the transition is from a split, the decide method receives a StepExecution from each flow defined to the split as input.

- Flow

  When the transition is from a flow, the decide method receives a StepExecution corresponding to the last execution element that completed in the flow. This will be a single StepExecution if the last element was a step and multiple StepExecutions if the last element was a split.

Parameters:
  `executions` - specifies the StepExecution(s) of the preceding element.
Returns:
  updated job exit status
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0